[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Emacs-diffs] emacs-25 fe321fd: * autogen.sh: Revert all recent changes.
From: |
Paul Eggert |
Subject: |
[Emacs-diffs] emacs-25 fe321fd: * autogen.sh: Revert all recent changes. |
Date: |
Wed, 03 Feb 2016 02:04:37 +0000 |
branch: emacs-25
commit fe321fdb668c42f1fbb2590c6c8cabcfcc59ab13
Author: Paul Eggert <address@hidden>
Commit: Paul Eggert <address@hidden>
* autogen.sh: Revert all recent changes.
---
autogen.sh | 47 ++++-------------------------------------------
1 files changed, 4 insertions(+), 43 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index 4a0fbb7..a63c53c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -104,21 +104,6 @@ check_version ()
}
-git_config=true
-
-for arg
-do
- case $arg in
- --git-config=false) git_config=false;;
- --git-config=true) git_config=true ;;
- --help)
- exec echo "$0: usage: $0 [--help|--git-config=[false|true]]";;
- *)
- echo >&2 "$0: $arg: unknown option"; exit 1;;
- esac
-done
-
-
cat <<EOF
Checking whether you have the necessary tools...
(Read INSTALL.REPO for more details on building Emacs)
@@ -235,36 +220,12 @@ echo timestamp > src/stamp-h.in || exit
## Configure Git, if using Git.
if test -d .git && (git status -s) >/dev/null 2>&1; then
- # Like 'git config NAME VALUE', but conditional on --git-config,
- # verbose on change, and exiting on failure.
-
- git_config ()
- {
- name=$1
- value=$2
-
- if $git_config; then
- ovalue=`git config --get "$name"` && test "$ovalue" = "$value" || {
- echo "${Configuring_git}git config $name '$value'"
- Configuring_git=
- git config "$name" "$value" || exit
- }
- fi
- }
- Configuring_git='Configuring git...
-'
-
- # Check hashes when transferring objects among repositories.
-
- git_config transfer.fsckObjects true
-
-
# Configure 'git diff' hunk header format.
- git_config 'diff.elisp.xfuncname' \
- '^\(def[^[:space:]]+[[:space:]]+([^()[:space:]]+)'
- git_config 'diff.texinfo.xfuncname' \
- 'address@hidden:space:]]+([^,[:space:]][^,]+)'
+ git config 'diff.elisp.xfuncname' \
+ '^\(def[^[:space:]]+[[:space:]]+([^()[:space:]]+)' || exit
+ git config 'diff.texinfo.xfuncname' \
+ 'address@hidden:space:]]+([^,[:space:]][^,]+)' || exit
# Install Git hooks.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Emacs-diffs] emacs-25 fe321fd: * autogen.sh: Revert all recent changes.,
Paul Eggert <=